<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>填充、描边</title>
</head>
<body>
    <canvas class="fill-stroke" width="200" height="200" style="border: 1px solid red;"></canvas>
    <script>

        let fill=document.querySelector('.fill-stroke');
        let context=fill.getContext('2d');
        // 绘制矩形
        context.rect(10,10,50,50);
        // 描边
        context.strokeStyle="red";
        context.stroke();
        // 填充
        context.fillStyle='#798';
        context.fill();
    </script>
</body>
</html>